=== debian/control ===
Source: gtk-dnd
Section: libs
Priority: optional
Maintainer: Nikita Tsukanov <keks9n@gmail.com>
Build-Depends: debhelper (>> 4.0.0), gettext, pkg-config, libglib2.0-dev (>= 2.12.12-1osso9), libpango1.0-dev (>= 1.12.0), libatk1.0-dev (>= 1.9.0), libcairo2-dev (>= 1.2.0), libx11-dev, libxext-dev, libxi-dev, libxrandr-dev, libxt-dev, libxrender-dev, libxft-dev, libxcursor-dev,  libjpeg62-dev, libpng12-dev, gtk-doc-tools, libtiff4-dev, libexpat1-dev, libxfixes-dev, libtool (>= 1.5.12), libxtst-dev, libxcomposite-dev, libxdamage-dev, links
Build-Depends-Indep: gtk-doc-tools, libglib2.0-doc, libpango1.0-doc, libatk1.0-doc, libcairo2-doc
Standards-Version: 3.6.1.0

Package: libgtk-dnd
Section: libs
Architecture: any
Description: GTK+ Drag-n-Drop enabler. Use with LD_PRELOAD
