=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/gtk+/2.6/ \
	gtk\+-(.*)\.tar\.gz \
	debian uupdate
